Package: org.apache.groovy.swing.binding

## [Java] Class MutualPropertyBinding

- org.apache.groovy.swing.binding.MutualPropertyBinding

- All Implemented Interfaces and Traits:
    FullBinding

      public class MutualPropertyBinding
      extends Object
      implements FullBinding

  Since:
    Groovy 1.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `bind()`
    `` | `public Closure` | `getConverter()`
    `` | `public Closure` | `getReverseConverter()`
    `` | `public SourceBinding` | `getSourceBinding()`
    `` | `public TargetBinding` | `getTargetBinding()`
    `` | `public Closure` | `getValidator()`
    `` | `public void` | `rebind()`
    `` | `protected void` | `rebuildBindings()`
    `` | `public void` | `reverseUpdate()`
    `` | `public void` | `setConverter(Closure converter)`
    `` | `public void` | `setReverseConverter(Closure reverseConverter)`
    `` | `public void` | `setSourceBinding(SourceBinding sourceBinding)`
    `` | `public void` | `setTargetBinding(TargetBinding targetBinding)`
    `` | `public void` | `setValidator(Closure validator)`
    `` | `public void` | `unbind()`
    `` | `public void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override public void bind()

    - #### @Override public Closure getConverter()

    - #### @Override public Closure getReverseConverter()

    - #### @Override public SourceBinding getSourceBinding()

    - #### @Override public TargetBinding getTargetBinding()

    - #### @Override public Closure getValidator()

    - #### @Override public void rebind()

    - #### protected void rebuildBindings()

    - #### @Override public void reverseUpdate()

    - #### @Override public void setConverter(Closure converter)

    - #### @Override public void setReverseConverter(Closure reverseConverter)

    - #### @Override public void setSourceBinding(SourceBinding sourceBinding)

    - #### @Override public void setTargetBinding(TargetBinding targetBinding)

    - #### @Override public void setValidator(Closure validator)

    - #### @Override public void unbind()

    - #### @Override public void update()